cURL
curl --request GET \
--url https://app.masivo.ai/api/storefront/v1/customers/{id}/news-feed \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.masivo.ai/api/storefront/v1/customers/{id}/news-feed"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.masivo.ai/api/storefront/v1/customers/{id}/news-feed', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"messages": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "news_feed",
"content": {
"title": "<string>",
"body": "<string>",
"image_url": "<string>",
"html": "<string>",
"sections": [
{
"title": "<string>",
"items": [
{
"label": "<string>",
"value": "<string>",
"highlight": true
}
]
}
],
"buttons": [
{
"id": "<string>",
"text": "<string>",
"value": "<string>"
}
],
"link": "<string>",
"link_text": "<string>",
"pinned": true
},
"campaign_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"priority": 123,
"expires_at": "2023-11-07T05:31:56Z",
"display_rules": {
"priority": 123
}
}
]
}
}{
"error": "<string>",
"details": "<string>"
}Customers
Get customer news feed cards
List active news feed cards currently eligible for a customer. Cards are resolved from their live templates and ordered by pinned state, priority, and assignment time.
GET
/
customers
/
{id}
/
news-feed
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The customer unique identifier in your system
Query Parameters
Filter cards by brand id
Return assignments created at or after this timestamp
Return assignments created at or before this timestamp
Maximum cards to return (1–50, default 50)
Required range:
1 <= x <= 50Response
Eligible news feed cards
Show child attributes
Show child attributes
⌘I